#!/bin/bash

rm -rf .env*

echo "APP_ENV=prod" > .env
echo "APP_DEBUG=0" >> .env

LENGTH=32

SECRET_KEY=$(openssl rand -base64 $LENGTH | tr -d '=' | tr -d '+' | tr -d '/' | tr -d ' ')
TRIMMED_KEY=$(cut -c1-32 <<< $SECRET_KEY)
echo "APP_SECRET=$TRIMMED_KEY" >> .env
echo "DATABASE_URL=\"sqlite:///data/data.db\"" >> .env
echo "MESSENGER_TRANSPORT_DSN=doctrine://default?auto_setup=0" >> .env

COMPOSER_ALLOW_SUPERUSER=1 composer update
symfony console doctrine:migrations:migrate --no-interaction

chown -R www-data:www-data /data
